Bug 193127 - join command change of behavior.
join command change of behavior.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-05-25 11:21 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2006-05-25 11:21:12 EDT
Hi Tim,

 The join command present in coreutils-5.2.1-31.2 [RHEL4] seems to have some
troubles when using some options to join fields using options -j and -o. This is
fixed upstream in release : 1.136.
 The customer claims this was working perfectly on old Red Hat Linux releases,
and works again on Fedora Core 5.
 
 The following commands failed in join < upstream release: .

 A)

 $ join -a1 -e0 -j1 1 -j2 1 -o 1.1 2.2 FILE_A FILE_B
 join: too many non-option arguments
 Try `join --help' for more information.
 
 B) 

 $ join -a1 -e"." -j1 1 -j2 2 -o 1.1 2.2 1.3 2.4 FILE_A FILE_B
 join: too many non-option arguments
 Try `join --help' for more information.

 
 $ rpm -qf /usr/bin/join 
 coreutils-5.2.1-31.2

In Fedora core 5:
  $ join -a1 -e0 -j1 1 -j2 1 -o 1.1 2.2 a b
  1 0
  $ join -a1 -e"." -j1 1 -j2 2 -o 1.1 2.2 1.3 2.4 a b
  1 . . .

  $ rpm -qf /usr/bin/join
  coreutils-5.93-7.2

the customer also reported the join command patched against the whole upstream
revision does solve the problem, however there are some parts we could discard,

jose
Comment 1 RHEL Product and Program Management 2006-08-18 11:48:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Tim Waugh 2006-09-12 05:46:48 EDT
Jose: please provide the input files 'a' and 'b' that gave the expected output,
in order for a test case to be made for this bug.  Thanks.
Comment 5 Jose Plans 2006-09-12 05:57:28 EDT
Sure,
This is what I used for the test case:
--
[root@localhost join]# join -a1 -e0 -j1 1 -j2 1 -o 1.1 2.2 a.txt b.txt
join: too many non-option arguments
Try `join --help' for more information.
[root@localhost join]# cat a.txt
a 12312
[root@localhost join]# cat b.txt
b 134912
--
Jose
Comment 6 Tim Waugh 2006-09-12 06:02:03 EDT
Thanks.  And the expected output for (A) is

a 0

and for (B) is

a . . .

Is that correct?
Comment 7 Jose Plans 2006-09-12 06:06:06 EDT
This is correct, the outputs are indeed :
--
[jmp@jplans join]$ join -a1 -e0 -j1 1 -j2 1 -o 1.1 2.2 a.txt b.txt
a 0
[jmp@jplans join]$ join -a1 -e"." -j1 1 -j2 2 -o 1.1 2.2 1.3 2.4 a.txt b.txt
a . . .
--
Comment 12 Red Hat Bugzilla 2007-05-01 18:54:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0213.html
Comment 13 Issue Tracker 2007-06-14 16:42:39 EDT
Customer advised of errata release.  Closing this out.

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Closed by Client'

This event sent from IssueTracker by ctatman 
 issue 92458

Note You need to log in before you can comment on or make changes to this bug.